---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephfs-raid6-delete
provisioner: cephfs.csi.ceph.com
reclaimPolicy: Delete
allowVolumeExpansion: true
parameters:
  clusterID: "cephfs_csi_ssd_ec_6_2"
  fsName: "cephfs"
  subVolumeGroup: csi_ssd_ec_6_2
  csi.storage.k8s.io/provisioner-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/node-stage-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-publish-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-publish-secret-namespace: "csi-cephfs"

---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephfs-raid6-retain
provisioner: cephfs.csi.ceph.com
reclaimPolicy: Retain
allowVolumeExpansion: true
parameters:
  clusterID: "cephfs_csi_ssd_ec_6_2"
  fsName: "cephfs"
  subVolumeGroup: csi_ssd_ec_6_2
  csi.storage.k8s.io/provisioner-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/node-stage-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-publish-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-publish-secret-namespace: "csi-cephfs"

---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephfs-raid5-delete
provisioner: cephfs.csi.ceph.com
reclaimPolicy: Delete
allowVolumeExpansion: true
parameters:
  clusterID: "cephfs_csi_ssd_ec_4_1"
  fsName: "cephfs"
  subVolumeGroup: csi_ssd_ec_4_1
  csi.storage.k8s.io/provisioner-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/node-stage-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-publish-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-publish-secret-namespace: "csi-cephfs"

---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: cephfs-raid5-retain
provisioner: cephfs.csi.ceph.com
reclaimPolicy: Retain
allowVolumeExpansion: true
parameters:
  clusterID: "cephfs_csi_ssd_ec_4_1"
  fsName: "cephfs"
  subVolumeGroup: csi_ssd_ec_4_1
  csi.storage.k8s.io/provisioner-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/provisioner-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-expand-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-expand-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/node-stage-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/node-stage-secret-namespace: "csi-cephfs"
  csi.storage.k8s.io/controller-publish-secret-name: "csi-cephfs-secret"
  csi.storage.k8s.io/controller-publish-secret-namespace: "csi-cephfs"
